Subject: Re: bug#36597: 27.0.50; rehash hash tables eagerly in pdumper

From: Paul Eggert <[email-masked]>
Date: Sun, 14 Jul 2019 08:49:16 -0700

Pip Cet wrote:
> Indeed, that's plenty of small Emacs processes not doing very much.
> It's not the case we ought to be optimizing for, I think, but the
> performance concerns should be taken seriously.

What's a good benchmark for what we should be optimizing for? Ideally something 
somewhat-realistic as opposed to a microbenchmark.

It doesn't appear to be as simple as plenty of processes not doing very much. 
This benchmark:

cd leim && time make -B ../lisp/leim/ja-dic/ja-dic.el

is dominated by a single CPU-intensive Emacs process and takes about 19 CPU 
seconds on my home desktop. The proposed patch slows this benchmark down by 
about 0.6%. (I ran the benchmark ten times after a warmup run, and took the 
average of the ten user+system times.)